#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define soname  0
%define libsuffix %(echo %{_lib}| sed 's/^lib//')
%define doc %{buildroot}%{_docdir}/lib%{name}%{soname} 
Name:           udt
Version:        4.11
Release:        2.2
Summary:        UDP-based Data Transfer Protocol
Group:          Productivity/Networking/Other
License:        BSD-3-Clause
URL:            http://udt.sourceforge.net/
Source0:        %{name}.sdk.%{version}.tar.gz
Patch0:         build.diff
BuildRequires:  gcc-c++ 
BuildRequires:  dos2unix 
BuildRoot:     %{_tmppath}/build-%{name}-%{version} 

%description
UDT is a reliable UDP based application level data transport protocol for 
distributed data intensive applications over wide area high-speed networks. UDT 
uses UDP to transfer bulk data with its own reliability control and congestion 
control mechanisms. The new protocol can transfer data at a much higher speed 
than TCP does. UDT is also a highly configurable framework that can accommodate 
various congestion control algorithms.

%package -n     lib%{name}%{soname}
Summary:        UDP-based Data Transfer Protocol: Libraries 
Group:          System/Libraries
License:        BSD-3-Clause

%description -n lib%{name}%{soname}
UDT is a reliable UDP based application level data transport protocol for 
distributed data intensive applications over wide area high-speed networks. UDT 
uses UDP to transfer bulk data with its own reliability control and congestion 
control mechanisms. The new protocol can transfer data at a much higher speed 
than TCP does. UDT is also a highly configurable framework that can accommodate 
various congestion control algorithms.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
License:        BSD-3-Clause
Requires:       lib%{name}%{soname} = %{version}-%{release}

%description devel
This package contains, header files, and libraries needed to
develop application that use %{name}

%package doc
Summary:	    Documentation for %{name}
Group:          Documentation/HTML
BuildArch:      noarch

%description doc
HTML Documentation for %{name}

%prep
%setup -q -n %{name}4
%patch0

%build 
%ifarch x86_64
make -e arch=AMD64 
%endif
%ifarch %ix86
make
%endif
%ifarch %arm
make -e arch=0
%endif

%install 
mkdir -p %{buildroot}%{_libdir} 
install -m 755 src/libudt.so.0.0.0 %{buildroot}%{_libdir} 
ln -s -f libudt.so.0.0.0 %{buildroot}%{_libdir}/libudt.so.0 
ln -s -f libudt.so.0.0.0 %{buildroot}%{_libdir}/libudt.so 
mkdir -p %{buildroot}%{_includedir}/%{name}
install -p -m 644 -t %{buildroot}%{_includedir}/%{name} src/*.h
mkdir -p %{doc}/doc/{htm,hlp} 
install -p -m 644 -t %{doc} {LICENSE.txt,RELEASE_NOTES.txt} 
install -p -m 644 -t %{doc}/doc doc/*.htm
install -p -m 644 -t %{doc}/doc/htm doc/{doc/*.css,doc/*.htm}
install -p -m 644 -t %{doc}/doc/hlp doc/hlp/*.gif 

# Fix wrong-file-end-of-line-encoding
dos2unix %{buildroot}%{_docdir}/lib%{name}%{soname}/doc/htm/udtdoc.css

%post -n lib%{name}%{soname} -p /sbin/ldconfig  
%postun -n lib%{name}%{soname} -p /sbin/ldconfig  

%clean  
%__rm -rf %{?buildroot:%{buildroot}} 

%files -n lib%{name}%{soname} 
%defattr(-,root,root) 
%{_docdir}/lib%{name}%{soname} 
%{_libdir}/libudt.so.*
%exclude %{_docdir}/lib%{name}%{soname}/doc

%files devel 
%defattr(-,root,root) 
%{_libdir}/libudt.so 
%{_includedir}/%{name}

%files doc 
%defattr(-,root,root) 
%{_docdir}/lib%{name}%{soname}/doc

%changelog
* Wed Nov 12 2014 avvissu@yandex.ru
- Fix build on ARM (add 'make arch=0')
* Sun Mar 30 2014 avvissu@yandex.ru
- Fix wrong-file-end-of-line-encoding
* Fri Dec 20 2013 avvissu@yandex.ru
- Initial release
